void leccmps12()  {
  // lecture azimut 
  Wire.beginTransmission(CMPS12);  // début communication avec CMPS12
  Wire.write(0x02);                // registre de début de azimut sur 2 octets 
  Wire.endTransmission();
  Wire.requestFrom(CMPS12, 3);     // on lit les 3 registres de 0x02 à 0x04     
  while(Wire.available() < 3);     // attente lecture des registres            
  high_byte = Wire.read();         // lecture 1 er octet 
  low_byte = Wire.read();          // lecture 2 eme octet
  azimut = (((int16_t)(high_byte << 8)) + (int16_t)low_byte) / 10 ;  
  
  // lecture rotation sur axe Z
  Wire.beginTransmission(CMPS12);  // début communication avec CMPS12
  Wire.write(0x16);                // registre de début du Gyro sur axe Z
  Wire.endTransmission();
  Wire.requestFrom(CMPS12, 2);     // on lit les 2x registres en 0x16 et 0x17     
  while(Wire.available() < 2);     // attente lecture des registres            
  high_byte = Wire.read();
  low_byte = Wire.read();
  accelz = ((int16_t)(high_byte << 8)) + (int16_t)low_byte ;  
}
//------------------------------------------------

void testrota()  {            // Détection d'une rotation
  if (nouvtest)  {
    leccmps12();
    if (abs(accelz) < seuildep) {
      if (rot) {
        azimfin = azimut;         // rotation en cours => fin de rotation
        rot = false;
        calcrotation();
      }
      else azimdep = azimut;        // stocker un début possible de rotation
    }
    if (abs(accelz) > seuilrot) {
      if (!rot)  {                  // déclenchement rotation
        rot = true;
        sommaccel = 0;
      }
    }
    if (rot)  sommaccel += accelz;   // cumul algébrique des accélérations  
  }
}
//------------------------------------------------
void calcrotation() {
  nouvtest = false;
  if (sommaccel > 0)  {
    sensrot = "Gauche";           // rotations dans le sens trigo
    if (azimfin < azimdep)  anglerot = azimdep - azimfin;
    else anglerot = (azimdep + 360) - azimfin;  
    anglerot = anglerot * -1;
  }
  else {
    sensrot = "Droite";
    if (azimfin > azimdep)  anglerot = azimfin - azimdep;
    else anglerot = (azimfin + 360) - azimdep;      
  }
}
//------------------------------------------------
